| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::MinimalEventLoopMgr Class Reference

List of all members.

## Detailed Description

Definition at line 577 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::MinimalEventLoopMgr::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 593 of file GaudiSvcConf.py.

    00593                                                                :
    00594       super(MinimalEventLoopMgr, self).__init__(name)
    00595       for n,v in kwargs.items():
    00596          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::MinimalEventLoopMgr::getDlls | ( |  | self | ) |

Definition at line 597 of file GaudiSvcConf.py.

    00597                      :
    00598       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::MinimalEventLoopMgr::getType | ( |  | self | ) |

Definition at line 599 of file GaudiSvcConf.py.

    00599                      :
    00600       return 'MinimalEventLoopMgr'
      pass # class MinimalEventLoopMgr

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::MinimalEventLoopMgr::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'TopAlg' : [  ], # list
        'OutStream' : [  ], # list
        'OutStreamType' : 'OutputStream', # str
      }

Definition at line 578 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::MinimalEventLoopMgr::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 591 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py